JapanesePartOfSpeechStopFilter (Lucene 10.5.1 kuromoji API)
Description: declaration: package: org.apache.lucene.analysis.ja, class: JapanesePartOfSpeechStopFilter

Package org.apache.lucene.analysis.ja

# Class JapanesePartOfSpeechStopFilter

java.lang.Object
org.apache.lucene.util.AttributeSource
org.apache.lucene.analysis.TokenStream
org.apache.lucene.analysis.TokenFilter
org.apache.lucene.analysis.FilteringTokenFilter
org.apache.lucene.analysis.ja.JapanesePartOfSpeechStopFilter

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Unwrappable<TokenStream>`

public final class JapanesePartOfSpeechStopFilter extends FilteringTokenFilter
Removes tokens that match a set of part-of-speech tags.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

  `AttributeSource.State`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

  `input`

  ### Fields inherited from class org.apache.lucene.analysis.TokenStream

  `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JapanesePartOfSpeechStopFilter(TokenStream input, Set<String> stopTags)`
  Create a new `JapanesePartOfSpeechStopFilter`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `accept()`

  ### Methods inherited from class org.apache.lucene.analysis.FilteringTokenFilter

  `end, incrementToken, reset`

  ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

  `close, unwrap`

  ### Methods inherited from class org.apache.lucene.util.AttributeSource

  `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JapanesePartOfSpeechStopFilter

    public JapanesePartOfSpeechStopFilter(TokenStream input, Set<String> stopTags)
    Create a new `JapanesePartOfSpeechStopFilter`.
    Parameters:
      `input` - the `TokenStream` to consume
      `stopTags` - the part-of-speech tags that should be removed

- ## Method Details

  - ### accept

    protected boolean accept()
    Specified by:
      `accept` in class `FilteringTokenFilter`